Update Oxid Paypal Modul auf 3.0.3bei shop CE 4.7.4

Hallo,

da bekanntlich das Oxid Paypal Modul Version 3.0.1 noch SSL 3.0 nutz und Paypal dies ja ab 3 Dezember nicht mehr unterstützt hab ich heute bei einer Oxid Version CE 4.7.4 die infrage kommende Version, nämlich die für Version ab 4.7X versucht zu installieren. Das funktioniert allerdings bei mir out of the box leider nicht. Und dummerweise funktioniert auch mein backup das ich natürlich vorher gemacht habe auf die alte Version 3.0.1 jetzt auch nicht mehr. Hat wer ähnlich Probleme ? Könnte es daran liegen das die vorherige Version explizit für 4.7.8 war, der Nachfolger aber nur mit 4.7.9 gestestet wurde ? Und von 4.7.8 zu 4.7.9 gab es ja doch einige Änderungen. Hab jetztden halben Sonntag damit verbracht bin aber ratlos…

Lese dir diesen Artikel hier durch:

Für deine OXID-Version bietet sich folgende Lösung an:

  1. Update your OXID eFire Extension PayPal to version 3.2.x. We already made all necessary changes in the free module which can be found in OXID eXchange, our marketplace for OXID eShop extensions.
  2. For OXID eFire Extension PayPal 3.0.x/3.1.x, you can manually change the following:
    Open file modules/oe/oepaypal/core/oepaypalcurl.php* Search for ‘CURLOPT_SSLVERSION’ => 3 Replace 3 with 1 *(In version 3.1.1 for OXID eShop 4.4.x-4.6.x you will find the file here: modules/oe/oeadapter/modules/oe/oepaypal/core/oepaypalcurl.php)

Da im OXID-Blog folgendes steht:

3.0.3 when using OXID eShop 5.0.x (EE) or 4.7.x (PE/CE)

Das war es. Hatte vom update der Version 3.0.3 noch Reste in der Datenbank die ich direkt in der Datenbank gelöscht habe, jetzt klappt der Zugriff auch mit der Paypal Sandbox mit Version 3.0.1, Vielen Dank.